Subject: Re: bug#30505: Starting console/terminal Unicode support

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 25 Feb 2018 13:57:04 +0100

> Usually I'm not a fan of overriding user settings (in this case the kernel
> command line) but in this case it's OK since the rest of the system at least
> can be sure that we have UTF-8 VTs.

Aha, the gnu/services/base.scm tries to make sure that an UTF-8 aware unicode
font is already loaded before switching the tty to UTF-8.  We would have to
set default_utf8 earlier (before even the vt is activated), otherwise the
setting wouldn't be copied to the new terminal.